# m17n-gui.c File Reference

## Functions

MFrame * | mframe (MPlist *plist)
| Create a new frame.
void * | mframe_get_prop (MFrame *frame, MSymbol key)
| Return property value of frame.

## Variables

MFrame * | mframe_default
| The default frame.
Variables: Keys of frame parameter
These are the symbols to use in a parameter to create a frame. See the function mframe() for details. Mdevice, Mdisplay, Mscreen, Mdrawable, Mdepth, and Mcolormap are also keys of a frame property.
MSymbol | Mdevice
MSymbol | Mdisplay
MSymbol | Mscreen
MSymbol | Mdrawable
MSymbol | Mdepth
MSymbol | Mcolormap
MSymbol | Mwidget
MSymbol | Mgd
Variables: Keys of frame property
These are the symbols to use as an argument to the function mframe_get_prop().
MSymbol | Mfont
MSymbol | Mfont_width
MSymbol | Mfont_ascent
MSymbol | Mfont_descent

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines